<template>
  <q-page class="flex flex-center">
        <q-input outlined v-model=name :label="$t('Form.FeedName')" stack-label  />
        <q-input outlined v-model=url :label="$t('Form.FeedURL')" stack-label  />
	          <q-btn round dense flat icon="send" @click=send() />
</q-page>
</template>

<script>
export default {
    name: "AddFeed",
    data () {
    return {
        name: "",
	url: ""
      }
},
    methods: {
    	send(){
	    var form = {
		"name": this.name,
		"url": this.url
	    }
	    console.log(this.username + this.password);
	    this.$axios.post('http://localhost:8000/api/rss/addFeed', form)
		.then(response => {
		    console.log(response.data);
		    this.$q.notify({color: 'green', message: response.data, icon: 'check'});
                })
                .catch(err => {
                    console.log(err.response.data);
                    this.$q.notify({color: 'negative', message: err.response.data, icon: 'report_problem'});
                })

	}
    },
    created () {
  }
}
</script>
